FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Kernel

 
 
LinkBack Thread Tools
 
Old 12-21-2008, 09:18 PM
Moritz Muehlenhoff
 
Default Bug#314707: ide0=ata66 -- OBSOLETE OPTION, WILL BE REMOVED SOON!

On Fri, Jun 17, 2005 at 11:45:04PM +0200, Erik Schanze wrote:
> Package: kernel-source-2.6.11
> Severity: minor
>
> Hi!
>
> I used boot option "ide0=ata66" to set my laptop harddisk to UDMA100.
> Without this option it runs only on UDMA33, because I need to force UDMA100 on
> this chipset.
>
> Now I see the warning during boot:
> "ide_setup: ide0=ata66 -- OBSOLETE OPTION, WILL BE REMOVED SOON!"
> so I wonder which option will replace the obsolete one?
>
> idebus=66 didn't help.
>
> It is not a real bug for now, but will cause problems in future, so please
> look for a prevention, please.

Does this error still occur with more recent kernel versions?

Cheers,
Moritz



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 12-30-2008, 09:13 AM
Erik Schanze
 
Default Bug#314707: ide0=ata66 -- OBSOLETE OPTION, WILL BE REMOVED SOON!

severity 314707 wishlist
thanks

Hi Moritz,

Moritz Muehlenhoff <jmm@inutil.org>:
> On Fri, Jun 17, 2005 at 11:45:04PM +0200, Erik Schanze wrote:
> > Package: kernel-source-2.6.11
> > Severity: minor
> >
> > Hi!
> >
> > I used boot option "ide0=ata66" to set my laptop harddisk to
> > UDMA100. Without this option it runs only on UDMA33, because I need
> > to force UDMA100 on this chipset.
> >
> > Now I see the warning during boot:
> > "ide_setup: ide0=ata66 -- OBSOLETE OPTION, WILL BE REMOVED SOON!"
> > so I wonder which option will replace the obsolete one?
> >
> > idebus=66 didn't help.
> >
> > It is not a real bug for now, but will cause problems in future, so
> > please look for a prevention, please.
>
> Does this error still occur with more recent kernel versions?
>
This option was removed from kernel in 2.6.12, but there is a new possibility for computers with short 40 wire
IDE cables to have UDMA100.

One could add it to the array of such devices. Here is the patch I use for 2.6.26:

--- linux-source-2.6.26/drivers/ide/pci/piix.c.orig 2008-11-13 21:58:54.000000000 +0100
+++ linux-source-2.6.26/drivers/ide/pci/piix.c 2008-11-13 22:00:51.000000000 +0100
@@ -250,6 +250,7 @@
{ 0x27DF, 0x1043, 0x1267 }, /* ICH7 on Asus W5F */
{ 0x27DF, 0x103C, 0x30A1 }, /* ICH7 on HP Compaq nc2400 */
{ 0x24CA, 0x1025, 0x0061 }, /* ICH4 on Acer Aspire 2023WLMi */
+ { 0x24CA, 0x1025, 0x003d }, /* ICH4 on Acer Travelmate 291 */
{ 0x2653, 0x1043, 0x82D8 }, /* ICH6M on Asus Eee 701 */
/* end marker */
{ 0, }


AFAIK it will be included in next kernel version (2.6.28 ?).
Therefore I changed the bug severity to wishlist.
Should it be reassigned to a more recent linux-source version?

Feel free to close it if it is included into kernel.


Bye,

Erik


--
www.ErikSchanze.de *********************************************
Bitte keine HTML-E-Mails! No HTML mails, please! Limit: 100 kB *
- Linux-Info-Tag in Dresden auch 2009 wieder *
Info: http://www.linux-info-tag.de/ *



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 08:30 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org